%define aurox_ver 10.0
%define rel 1


# no smp releases: does not work with spm kernels
%define kversion 2.6.7
#%define krelease 1.2174.nptl
# Live 1.4.2:
#define krelease 1.2149.nptl
%define krelease 10.0.aur.9

%define kernel %{kversion}-%{krelease}

%define _libmoddir /lib/modules
%define moduledir /kernel/fs/squashfs

Summary: SquashFS compressed read-only file system.
Name: squashfs
Version: 2.0
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: System Environment/Kernel
URL: http://squashfs.sourceforge.net
Source0: squashfs%{version}.tar.gz
# %{kversion} patch converted to out-of-kernel buildable source dir:
Source1: squashfs-%{kversion}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{_prefix}


%description
SquashFS compressed read-only file system.
Tools.

%package kernel-%{kernel}
Summary: SquashFS kernel modules.
Group: System Environment/Kernel
#BuildRequires: kernel, kernel-source, gcc
BuildRequires: kernel, gcc
Requires: kernel = %{kernel}
Provides: kernel-modules
Provides: kernel-module-squashfs
Obsoletes: kernel-module-squashfs

%description kernel-%{kernel}
SquashFS kernel modules.

%package utils
Summary: SquashFS utilities.
Group: System Environment/Base
#Requires: kernel-module-squashfs = %{version}-%{release}

%description utils
SquashFS utilities.

%prep
%setup -a 1 -n %{name}%{version}

%build
# FIXME: currently only built for current kernel (not a problem for LiveCD)
pushd squashfs-%{kversion}
KERNEL_SOURCE=/lib/modules/%{kernel}/build make
popd

pushd squashfs-tools
make
popd

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libmoddir}/%{kernel}%{moduledir}/
install -m 0744 %{name}-%{kversion}/%{name}.ko %{buildroot}%{_libmoddir}/%{kernel}%{moduledir}/

mkdir -p %{buildroot}%{_bindir}/
install -m 0755 squashfs-tools/mksquashfs %{buildroot}%{_bindir}/

%post kernel-%{kernel}
/sbin/depmod -ae %{kversion}-%{krelease} || :
 
%postun kernel-%{kernel}
/sbin/depmod -ae %{kversion}-%{krelease} || :

%clean
rm -rf %{buildroot}

%ifnarch i386
%files kernel-%{kernel}
%undefine __check_files
%defattr(-, root, root, 0755)
%dir %{_libmoddir}/%{kernel}%{moduledir}/
%{_libmoddir}/%{kernel}%{moduledir}/*.ko
%endif

%ifarch i386
%files utils
%undefine __check_files
%defattr(-, root, root, 0755)
%doc ACKNOWLEDGEMENTS CHANGES COPYING INSTALL README README-2.0
%{_bindir}/*
%endif

%changelog
* Mon Aug 23 2004 Aurox Team <aurox@aurox.org> 0:2.0-10.0.aur.1
- Rebuilt for squashfs 2.0 and 2.6.7-10.0.aur.9 kernel.
- build for kernel 2.6.6-10.0.aur.8
- initial import of the 2.0 alpha edition

